"use client";

import { useSearchParams } from "next/navigation";

export default function SuccessPage() {
  const searchParams = useSearchParams();
  const sessionId = searchParams.get("session_id");

  return (
    <div className="p-8">
      <h1 className="text-2xl font-bold text-green-500">
        Payment Successful ✅
      </h1>

      <p className="mt-2 text-lg text-white opacity-80">
        Session ID: {sessionId ?? "N/A"}
      </p>
    </div>
  );
}
